import { Flow } from "./flow";
import { Sort } from "../../types/sort";
import { BaseApiService } from "../base.api.service";
import { Trigger } from "../step/trigger/trigger";
export declare class FlowService extends BaseApiService {
    getApi(): string;
    save(flow: Flow): Promise<string>;
    findById(id: string | undefined): Promise<Flow>;
    private prepareTrigger;
    findAll(projectId?: string, embedded?: boolean, sort?: Sort, projectionExpression?: string): Promise<Array<Flow>>;
    delete(flow: Flow): Promise<void>;
    getTrigger(flow: Flow): Trigger;
}
//# sourceMappingURL=flow.service.d.ts.map